#ifndef __ALERT_HEADER_INCLUDED__
#define __ALERT_HEADER_INCLUDED__

#define init_alert(x, y, z, p) {x, y, z, p, 0, 0, 0, 0, 0}
struct alert {
	char		*alert;
	u_int32_t	sid;
	u_int32_t	rev;
	u_int8_t	priority;

	/* Rate limiting */
	unsigned long toks; /* tokens */
	unsigned long last_msg; /* time of last msg */
	int missed; /* number of missed alerts */
	unsigned long cost; /* max rate */
	unsigned long burst; /* burst */
};

#ifndef __PLUGIN__
void alert(struct generator*, struct packet *, struct alert *);
void alert_conf_hook(char *);
void alert_conf_go(void);
void alert_init(void);
void alert_hup(void);
#else
typedef void (*proc_alert)(struct generator*, struct packet *, struct alert *);
#endif

#endif /* __ALERT_HEADER_INCLUDED__ */
